This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023559 - Trickle doesn't work with ssh
Trickle doesn't work with ssh
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: trickle (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 14:18 EDT by D. Wagner
Modified: 2014-08-18 05:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 05:57:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stderr from strace trickle -s -d 20 ssh bingen.cs.berkeley.edu (43.43 KB, text/plain)
2014-06-23 14:36 EDT, D. Wagner
no flags Details

  None (edit)
Description D. Wagner 2013-10-25 14:18:11 EDT
Description of problem:

I can't use trickle with ssh, on Fedora 19.  It doesn't seem to work, for some reason.

$ trickle -s ssh <hostname>
Read from socket failed: Resource temporarily unavailable

The ssh binary is dynamically linked and not setuid:

$ ls -l /usr/bin/ssh
-rwxr-xr-x. 1 root root 457248 Aug  1 01:01 /usr/bin/ssh
$ ldd  /usr/bin/ssh | grep 'libc\.'
	libc.so.6 => /lib64/libc.so.6 (0x00007f27bb5a4000)

Version-Release number of selected component (if applicable):

trickle-1.07-15.fc19.x86_64
openssh-6.2p2-5.fc19.x86_64
Comment 1 Pavel Alexeev 2014-01-25 11:58:59 EST
You does not specify other options beside standalonne mode. What are you expect?

Try something like:
$ trickle -s -d 20 ssh <host>

It works to me.
Comment 2 D. Wagner 2014-01-25 13:55:15 EST
Nope, still doesn't work for me.

$ trickle -s -d 20 ssh bingen.cs.berkeley.edu          
Read from socket failed: Resource temporarily unavailable
$ 

$ trickle -s -d 20 ssh -v bingen.cs.berkeley.edu                
OpenSSH_6.2p2, OpenSSL 1.0.1e-fips 11 Feb 2013
debug1: Reading configuration data /home/daw/.ssh/config
debug1: /home/daw/.ssh/config line 5: Applying options for bingen.cs.berkeley.edu
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: /etc/ssh/ssh_config line 50: Applying options for *
debug1: Connecting to bingen.cs.berkeley.edu [128.32.153.240] port 22.
debug1: Connection established.
debug1: identity file /home/daw/.ssh/id_rsa type -1
debug1: identity file /home/daw/.ssh/id_rsa-cert type -1
debug1: identity file /home/daw/.ssh/id_dsa type 2
debug1: identity file /home/daw/.ssh/id_dsa-cert type -1
debug1: identity file /home/daw/.ssh/id_ecdsa type -1
debug1: identity file /home/daw/.ssh/id_ecdsa-cert type -1
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_6.2
debug1: Remote protocol version 2.0, remote software version OpenSSH_6.2
debug1: match: OpenSSH_6.2 pat OpenSSH*
debug1: SSH2_MSG_KEXINIT sent
Read from socket failed: Resource temporarily unavailable
Comment 3 Pavel Alexeev 2014-01-26 09:59:01 EST
Hm, it is very intresting it reproduced sometimes, randomly.

Please run it like:
strace trickle -s -d 20 ssh <host> 2> trickle.strace
and then attack trickle.strace file there.

Also please try few times with short interval.
Comment 4 D. Wagner 2014-06-23 14:36:59 EDT
Created attachment 911542 [details]
stderr from strace trickle -s -d 20 ssh bingen.cs.berkeley.edu
Comment 5 D. Wagner 2014-06-23 14:39:56 EDT
Sorry I didn't see your note earlier.  It reproduces consistently (5 out of 5 times) for me.  I've attached a sample strace output.  Software versions listed below:

$ rpm -q trickle openssh openssl-libs krb5-libs              
trickle-1.07-15.fc19.x86_64
openssh-6.2p2-8.fc19.x86_64
openssl-libs-1.0.1e-38.fc19.x86_64
krb5-libs-1.11.3-21.fc19.x86_64
$ uname -a
Linux xxx 3.14.7-100.fc19.x86_64 #1 SMP Wed Jun 11 22:34:02 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
Comment 6 Pavel Alexeev 2014-08-18 05:57:39 EDT
Thank you.
Reported upstream: https://github.com/mariusaeriksen/trickle/issues/8

Note You need to log in before you can comment on or make changes to this bug.